package echoserver;

import java.net.*;
import java.io.*;

public class Server {

    private Integer _port;
    private ServerSocket _server;

    public Server(Integer port) {
        _port = port;
        try {
            _server = new ServerSocket(_port);
        } catch (IOException e) {
            System.err.println("Greska kod stvaranja socketa");
        }
    }

    public void waitRequests() {
        while (true) {
            try {
                System.out.println("Cekam...");
                Socket client = _server.accept();
                BufferedReader input = new BufferedReader(new InputStreamReader(client.getInputStream()));
                PrintStream output = new PrintStream(client.getOutputStream());
                String inputCommand = input.readLine();
                output.print("Primio: " + inputCommand + "\n");
                System.out.println("Odgovorio");
                client.close();
            } catch (IOException e) {
                System.err.println("Greska kod stvaranja socketa");
            }
        }
    }
}
